Create Workspace
curl --request POST \
--url http://127.0.0.1:3333/v3/workspaces \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "http://127.0.0.1:3333/v3/workspaces"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('http://127.0.0.1:3333/v3/workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"workspace": {
"id": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"icon": "<string>",
"stripeId": "<string>",
"customMonthlyCredits": 123,
"customStorageLimit": 123,
"customSeatsLimit": 123,
"settings": null,
"isQuarantined": false,
"isSuspended": false,
"isPastDue": false,
"isVerified": true,
"lastActivityAt": "2023-11-07T05:31:56Z",
"creditsRecurring": 0,
"creditsPurchased": 0,
"overageCapAmount": 123,
"autoRechargeEnabled": false,
"autoRechargeTrigger": 0,
"autoRechargeAmount": 0,
"resolvedCreditsLimit": 123,
"resolvedSeatsLimit": 123,
"resolvedStorageLimit": 123
}
}Workspace Management
Create Workspace
Create a new workspace.
POST
/
v3
/
workspaces
Create Workspace
curl --request POST \
--url http://127.0.0.1:3333/v3/workspaces \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "http://127.0.0.1:3333/v3/workspaces"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('http://127.0.0.1:3333/v3/workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"workspace": {
"id": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"icon": "<string>",
"stripeId": "<string>",
"customMonthlyCredits": 123,
"customStorageLimit": 123,
"customSeatsLimit": 123,
"settings": null,
"isQuarantined": false,
"isSuspended": false,
"isPastDue": false,
"isVerified": true,
"lastActivityAt": "2023-11-07T05:31:56Z",
"creditsRecurring": 0,
"creditsPurchased": 0,
"overageCapAmount": 123,
"autoRechargeEnabled": false,
"autoRechargeTrigger": 0,
"autoRechargeAmount": 0,
"resolvedCreditsLimit": 123,
"resolvedSeatsLimit": 123,
"resolvedStorageLimit": 123
}
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
201 - application/json
Default Response
Show child attributes
Show child attributes
⌘I